ru.bitel.bgbilling.modules.inet.radius

## Class RadiusAccessRequestEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.inet.radius.RadiusAccessRequestEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class RadiusAccessRequestEvent
      extends LocalEvent

  Событие Access-Request. Происходит после обработки запроса процессором, но перед вызовом postprocessAccessRequest в обработчике процессора протокола.
  Author:
    amir
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadiusAccessRequestEvent(int moduleId, InetNas nas, int agentDeviceId, RadiusSession<InetNas,InetRadiusSessionParams> radiusSession, RadiusPacket request, RadiusPacket response, int ipResourceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessCode()`
    `int` | `getAgentDeviceId()`
    `Contract` | `getContract()`
    `int` | `getDeviceId()`
    `InetServ` | `getInetServ()`
    `int` | `getIpResourceId()`
    `InetNas` | `getNas()`
    `java.lang.String` | `getRealm()`
    `RadiusPacket` | `getRequest()`
    `RadiusPacket` | `getResponse()`
    `java.lang.String` | `getUsername()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadiusAccessRequestEvent

          public RadiusAccessRequestEvent(int moduleId,
                                          InetNas nas,
                                          int agentDeviceId,
                                          RadiusSession<InetNas,InetRadiusSessionParams> radiusSession,
                                          RadiusPacket request,
                                          RadiusPacket response,
                                          int ipResourceId)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### getAgentDeviceId

          public int getAgentDeviceId()

    - #### getNas

          public InetNas getNas()

    - #### getContract

          public Contract getContract()

    - #### getInetServ

          public InetServ getInetServ()

    - #### getRequest

          public RadiusPacket getRequest()

    - #### getResponse

          public RadiusPacket getResponse()

    - #### getUsername

          public java.lang.String getUsername()

    - #### getRealm

          public java.lang.String getRealm()

    - #### getAccessCode

          public int getAccessCode()

    - #### getIpResourceId

          public int getIpResourceId()